%define nam	gnome-libs
%define ver	1.2.1

%define	prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib
%define	gtkprefix	/usr

#Release:	0_helix_1
#Release:	0_helix_1
#Release:	0_helix_1
Release:	0_helix_1xalf
#Release:		0_helix_1
#Release:	0_helix_1
#Release:	0_helix_1
#Release:	0mdk_helix_1

%define		preferdb	--enable-prefer-db1

Summary:	Main GNOME libraries
Name:	%nam
#Name:	gnlibs
Version: 	%ver
Copyright:	LGPL
Vendor:		Helix Code, Inc.
Distribution:	Helix GNOME 0.2.1 (for Red Hat Linux 6.x)
Group:		System Environment/Libraries
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{nam}/%{nam}-%{ver}.tar.gz

URL:		http://www.gnome.org/
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc

#Provides:	gnome-libs

Requires:	gtk+ >= 1.2.5
#Requires:	gtk > 1.2.5
Requires:	ORBit
#Requires:	orbit
Requires:	imlib
Requires:	esound
#BuildPreReq:	utempter



# Red Hat patches
Patch:		RH-gnome-libs-rhsnddefs.patch
#Patch1:		RH-gnome-libs-1.0.5-sndon.patch
Patch2:		RH-gnome-libs-echok.patch
# Helix patches
#Patch3:		gnome-libs-split_text.patch
Patch4: xalf-dentry.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package devel
#%package -n gnlibsd
Summary:	Libraries and headers for GNOME application development
Group:		Development/Libraries
Requires:	%nam = %{PACKAGE_VERSION}
Requires:	gtk+-devel
Requires:	ORBit-devel
Requires:	imlib-devel
Requires:	esound-devel

#Requires:	gtkdev
#Requires:	orbitdev
#Requires:	imlibdev

%description devel
#%description -n gnlibsd
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q -n %{nam}-%{ver}
echo "	*****     Applying RH patches        *****	"
%patch  -p1
#%patch1 -p1
%patch2 -p1
#%patch2 -p1

echo "	*****     Applying Helix patches     *****	"
#%patch3	-p1 -b .split_text

echo "  *****     Applying Xalf patch        *****      "
%patch4 -p1

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--with-kde-datadir=/usr/share                \
	--localstatedir=%{localstatedir} \
	%{preferdb}

#i think we need a blank line above

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install
# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig



%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/lib*.so.*
%{prefix}/bin/dns-helper
%{prefix}/bin/gconfigger
%{prefix}/bin/gnome-bug
%{prefix}/bin/gnome-dump-metadata
%{prefix}/bin/gnome-gen-mimedb
%{prefix}/bin/gnome-moz-remote
%{prefix}/bin/gnome-name-service
%{prefix}/bin/gnome_segv
%{prefix}/bin/goad-browser
%{prefix}/bin/loadshlib
%{prefix}/bin/new-object
%attr(2755, root, utmp) %{prefix}/sbin/gnome-pty-helper
%{prefix}/share/locale/*/*/*
%{prefix}/share/idl/*
%{prefix}/share/pixmaps/*
%config %{prefix}/share/gtkrc*
%{prefix}/share/mime-info/gnome.mime
%{prefix}/share/type-convert/type.convert
%config %{sysconfdir}/*

%files devel
#%files -n gnlibsd
%defattr(-, root, root)

%doc devel-docs

%{prefix}/bin/gnome-config
%{prefix}/bin/libart-config
%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/lib/*.sh
%{prefix}/lib/gnome-libs
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/share/doc/*
%{prefix}/man/*